﻿@page
@model Project_PRN221_1.Pages.Login.ResetpasswordModel
@{
}
<style>
    h2 {
        text-align: center;
        color: #333;
        margin-bottom: 20px;
    }

    .form-group {
        margin-bottom: 20px;
    }

    label {
        display: block;
        font-weight: bold;
        margin-bottom: 5px;
    }

    input[type="password"], input[type="text"] {
        width: 100%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }

    button[type="submit"] {
        display: block;
        width: 100%;
        padding: 10px;
        background-color: #007bff;
        color: #fff;
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }

        button[type="submit"]:hover {
            background-color: #0056b3;
        }

    .text-danger {
        color: #dc3545;
    }
</style>
<div class="container">
    <h2>Reset Password</h2>
    <form method="post">
        <div asp-validation-summary="All" class="text-danger"></div>
        <div class="form-group">
            <label for="email">Email:</label>
            <input type="text" id="email" name="Email" value="@Model.Email" required readonly/>
        </div>
        <div class="form-group">
            <label for="username">Username:</label>
            <input type="text" id="username" name="username" value="@Model.u.Username" required readonly/>
        </div>
        <div class="form-group">
            <label for="password">New Password:</label>
            <input type="password" id="password" name="Password" required />
        </div>
        <div class="form-group">
            <label for="confirm-password">Confirm Password:</label>
            <input type="password" id="confirm-password" name="ConfirmPassword" required />
        </div>
        <button type="submit">Reset Password</button>
    </form>
</div>
